Package org.apache.any23

## Class ExtractionReport

- java.lang.Object
- - org.apache.any23.ExtractionReport

-     public class ExtractionReport
      extends Object

  This class contains some statistics and general information about an extraction.
  Author:
    Michele Mostarda (mostarda@fbk.eu), Davide Palmisano (palmisano@fbk.eu)
  See Also:
    `Any23`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtractionReport​(List<Extractor> matchingExtractors, String encoding, String detectedMimeType, ValidationReport validationReport, Map<String,​Collection<IssueReport.Issue>> extractorIssues)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDetectedMimeType()` |
    `String` | `getEncoding()` |
    `Collection<IssueReport.Issue>` | `getExtractorIssues​(String extractorName)` |
    `List<Extractor>` | `getMatchingExtractors()` |
    `ValidationReport` | `getValidationReport()` |
    `boolean` | `hasMatchingExtractors()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractionReport

          public ExtractionReport​(List<Extractor> matchingExtractors,
                                  String encoding,
                                  String detectedMimeType,
                                  ValidationReport validationReport,
                                  Map<String,​Collection<IssueReport.Issue>> extractorIssues)

  - ### Method Detail

    - #### hasMatchingExtractors

          public boolean hasMatchingExtractors()

      Returns:
        `true` if the extraction has activated at least an extractor, `false` otherwise.

    - #### getMatchingExtractors

          public List<Extractor> getMatchingExtractors()

      Returns:
        the (unmodifiable) list of matching extractors.

    - #### getEncoding

          public String getEncoding()

      Returns:
        the detected encoding for the source stream.

    - #### getDetectedMimeType

          public String getDetectedMimeType()

      Returns:
        the tetected mimetype for the input stream.

    - #### getValidationReport

          public ValidationReport getValidationReport()

      Returns:
        the validation report applied to the processed document.

    - #### getExtractorIssues

          public Collection<IssueReport.Issue> getExtractorIssues​(String extractorName)

      Parameters:
        `extractorName` - name of the extractor.
      Returns:
        the (unmodifiable) map of issues per extractor.